# simp

simplificação racional

## Seqüência de Chamamento

    [N1,D1]=simp(N,D)
                H1=simp(H)

## Parâmetros

N,D

  polinômios reais ou matrizes de polinômios reais

H

  matriz de razões de polinômios (i.e matriz com entradas `n/d` ,`n` e `d` polinômios reais)

## Descrição

`[n1,d1]=simp(n,d)` calcula dois polinômios `n1` e `d1` tais que `n1/d1 = n/d` .

Se `N` e `D` são matrizes de polinômios, os cálculos são feitos elemento a elemento.

`H1=simp(H)` também é válido (cada entrada de `H` é simplificada em `H1`).

Cuidado:

-Nenhum limiar é dado i.e. `simp` não pode forçar uma simplificação.

-Para sistemas lineares dinâmicos que incluem integrador(es), a simplificação modifica o ganho estático. (`H(0)` para sistemas contínuos `H(1)` para sistemas discretos)

-Para dados complexos, `simp` retorna sua(s) entrada(s).

-Uma simplificação racional é chamada após aproximadamente cada operação sobre razões de polinômios. É possível alternar o modo de simplificação entre "on" e "off" (ligado e desligado) utilizando a função `simp_mode`.

## Exemplos

    s=poly(0,'s');
    [n,d]=simp((s+1)*(s+2),(s+1)*(s-2))

    simp_mode(%F);hns=s/s
    simp_mode(%T);hns=s/s

## Ver Também

- roots
- trfmod
- poly
- clean
- simp_mode